Package org.drinkless.tdlib

# Class TdApi.UserRating

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UserRating

Enclosing class:
  `TdApi`

public static class TdApi.UserRating extends TdApi.Object
Contains description of user rating.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `currentLevelRating`
  The rating required for the current level.
  `boolean`
  `isMaximumLevelReached`
  True, if the maximum level is reached.
  `int`
  `level`
  The level of the user; may be negative.
  `long`
  `nextLevelRating`
  The rating required for the next level; 0 if the maximum level is reached.
  `long`
  `rating`
  Numerical value of the rating.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserRating()`
  Contains description of user rating.
  `UserRating(int level, boolean isMaximumLevelReached, long rating, long currentLevelRating, long nextLevelRating)`
  Contains description of user rating.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### level

    public int level
    The level of the user; may be negative.

  - ### isMaximumLevelReached

    public boolean isMaximumLevelReached
    True, if the maximum level is reached.

  - ### rating

    public long rating
    Numerical value of the rating.

  - ### currentLevelRating

    public long currentLevelRating
    The rating required for the current level.

  - ### nextLevelRating

    public long nextLevelRating
    The rating required for the next level; 0 if the maximum level is reached.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UserRating

    public UserRating()
    Contains description of user rating.

  - ### UserRating

    public UserRating(int level, boolean isMaximumLevelReached, long rating, long currentLevelRating, long nextLevelRating)
    Contains description of user rating.
    Parameters:
      `level` - The level of the user; may be negative.
      `isMaximumLevelReached` - True, if the maximum level is reached.
      `rating` - Numerical value of the rating.
      `currentLevelRating` - The rating required for the current level.
      `nextLevelRating` - The rating required for the next level; 0 if the maximum level is reached.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR